import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JLabel;
import javax.swing.JButton;

/**
 * A class to listen for button-clicks.
 * This version no longer checks which button was pressed, but rather assumes that
 * it will only be informed when the correct button is pressed.
 * @version 12, 3 Feb 2005
 */
public class ButtonHandler implements ActionListener
{
    private JLabel labelToChange;
    private String newText;
    
    public ButtonHandler (JLabel labelToChange,
                          String newText) {
        this.labelToChange = labelToChange;
        this.newText = newText;
    }
    
    public void actionPerformed (ActionEvent e) {
        this.labelToChange.setText (newText);
    }
}
