import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JLabel;
import javax.swing.JButton;

/**
 * A class to listen for button-clicks.
 * This version checks which button was pressed, and changes the text accordingly.
 * @version 11, 3 Feb 2005
 */
public class ButtonHandler implements ActionListener
{
    private JLabel labelToChange;
    private JButton north, south, east, west;
    
    public ButtonHandler (JLabel labelToChange,
                          JButton north,
                          JButton south,
                          JButton east,
                          JButton west) {
        this.labelToChange = labelToChange;
        this.north = north;
        this.south = south;
        this.east = east;
        this.west = west;
    }
    
    public void actionPerformed (ActionEvent e) {
        String newText;
        if (e.getSource() == this.north) {
            newText = "Top";
            }
        else if (e.getSource() == this.south) {
            newText = "Bottom";
            }
        else if (e.getSource() == this.west) {
            newText = "Left";
        }
        else if (e.getSource() == this.east) {
            newText = "Right";
        }
        else {
            newText = "Unrecognized";
            }
        this.labelToChange.setText (newText + " button pressed!");
    }
}
